<html>
<head>
<title>OGRE: Ogre::ResourceGroupManager::ResourceGroup Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceGroupManager.html">ResourceGroupManager</a>::<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html">ResourceGroup</a></div>
<h1>Ogre::ResourceGroupManager::ResourceGroup Struct Reference</h1><!-- doxytag: class="Ogre::ResourceGroupManager::ResourceGroup" --><a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> group entry.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a9">Status</a> { <br>
&nbsp;&nbsp;<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a9832fe1c1854534cc89460a355c1561e8">UNINITIALSED</a> =  0, 
<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a95fd41aebef904c4603a411714061da11">INITIALISING</a> =  1, 
<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a91a46cc3cb71014c4a85f4a07e1e41f7a">INITIALISED</a> =  2, 
<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a9855699c308cdd8ccdb67358e4502c658">LOADING</a> =  3, 
<br>
&nbsp;&nbsp;<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a98ec861cc686d84a5ad41433dd856464c">LOADED</a> =  4
<br>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>,<br>
 <a class="el" href="classOgre_1_1ResourceGroupManager.html#25cf2221b1cb13195aae84348f97055d">LoadUnloadResourceList</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#ef0b67d6bc8ae99608568ea5967cd8d2">LoadResourceOrderMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Created resources which are ready to be loaded / unloaded.  <a href="#ef0b67d6bc8ae99608568ea5967cd8d2"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">OGRE_AUTO_MUTEX <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#9c7120b86ff8f19d81f0fac0a1523512">name</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">General mutex for dealing with group content.  <a href="#9c7120b86ff8f19d81f0fac0a1523512"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#2bdab6f4bfee7f0eeea58e6f9f70e30e">initialised</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Group status.  <a href="#2bdab6f4bfee7f0eeea58e6f9f70e30e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#f3f395b7865646b87915df950a553d2d">LocationList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#9f040193d573d26cf739005465f4acc7">locationList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of possible locations to search.  <a href="#9f040193d573d26cf739005465f4acc7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#25b7fbc15fa4cb442ca9c399e62e6048">ResourceLocationIndex</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#8e1f8b2b90535ba8e6a8d81a30888494">resourceIndexCaseSensitive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index of resource names to locations, built for speedy access (case sensitive archives).  <a href="#8e1f8b2b90535ba8e6a8d81a30888494"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#25b7fbc15fa4cb442ca9c399e62e6048">ResourceLocationIndex</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#40aa3f3b164cf9e1b3bf318dcf3c1283">resourceIndexCaseInsensitive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index of resource names to locations, built for speedy access (case insensitive archives).  <a href="#40aa3f3b164cf9e1b3bf318dcf3c1283"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#e26eacec6d13149f46c47d88c7110625">ResourceDeclarationList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#130233f52a76fc38ca6fadc4d3182a9c">resourceDeclarations</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pre-declared resources, ready to be created.  <a href="#130233f52a76fc38ca6fadc4d3182a9c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#ef0b67d6bc8ae99608568ea5967cd8d2">LoadResourceOrderMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#c63251bf3f946d2b4dc42341b61d4d2a">loadResourceOrderMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#63a048530dfded3f7e6189743643578a">worldGeometry</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Linked world geometry, as passed to setWorldGeometry.  <a href="#63a048530dfded3f7e6189743643578a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#5c0395505e94f137cf4d5bced4054de6">worldGeometrySceneManager</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scene manager to use with linked world geometry.  <a href="#5c0395505e94f137cf4d5bced4054de6"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> group entry. 
<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00224">224</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="ef0b67d6bc8ae99608568ea5967cd8d2"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::LoadResourceOrderMap" ref="ef0b67d6bc8ae99608568ea5967cd8d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>, <a class="el" href="classOgre_1_1ResourceGroupManager.html#25cf2221b1cb13195aae84348f97055d">LoadUnloadResourceList</a>*&gt; <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#ef0b67d6bc8ae99608568ea5967cd8d2">Ogre::ResourceGroupManager::ResourceGroup::LoadResourceOrderMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Created resources which are ready to be loaded / unloaded. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00253">253</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="4b15ff98535d242c1bb7912b6007a3a9"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::Status" ref="4b15ff98535d242c1bb7912b6007a3a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a9">Ogre::ResourceGroupManager::ResourceGroup::Status</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="4b15ff98535d242c1bb7912b6007a3a9832fe1c1854534cc89460a355c1561e8"></a><!-- doxytag: member="UNINITIALSED" ref="4b15ff98535d242c1bb7912b6007a3a9832fe1c1854534cc89460a355c1561e8" args="" -->UNINITIALSED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="4b15ff98535d242c1bb7912b6007a3a95fd41aebef904c4603a411714061da11"></a><!-- doxytag: member="INITIALISING" ref="4b15ff98535d242c1bb7912b6007a3a95fd41aebef904c4603a411714061da11" args="" -->INITIALISING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="4b15ff98535d242c1bb7912b6007a3a91a46cc3cb71014c4a85f4a07e1e41f7a"></a><!-- doxytag: member="INITIALISED" ref="4b15ff98535d242c1bb7912b6007a3a91a46cc3cb71014c4a85f4a07e1e41f7a" args="" -->INITIALISED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="4b15ff98535d242c1bb7912b6007a3a9855699c308cdd8ccdb67358e4502c658"></a><!-- doxytag: member="LOADING" ref="4b15ff98535d242c1bb7912b6007a3a9855699c308cdd8ccdb67358e4502c658" args="" -->LOADING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="4b15ff98535d242c1bb7912b6007a3a98ec861cc686d84a5ad41433dd856464c"></a><!-- doxytag: member="LOADED" ref="4b15ff98535d242c1bb7912b6007a3a98ec861cc686d84a5ad41433dd856464c" args="" -->LOADED</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00226">226</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9c7120b86ff8f19d81f0fac0a1523512"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::name" ref="9c7120b86ff8f19d81f0fac0a1523512" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OGRE_AUTO_MUTEX <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#9c7120b86ff8f19d81f0fac0a1523512">Ogre::ResourceGroupManager::ResourceGroup::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
General mutex for dealing with group content. 
<p>
Status-specific mutex, separate from content-changing mutex Group name 
<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00239">239</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2bdab6f4bfee7f0eeea58e6f9f70e30e"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::initialised" ref="2bdab6f4bfee7f0eeea58e6f9f70e30e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#2bdab6f4bfee7f0eeea58e6f9f70e30e">Ogre::ResourceGroupManager::ResourceGroup::initialised</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Group status. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00241">241</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9f040193d573d26cf739005465f4acc7"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::locationList" ref="9f040193d573d26cf739005465f4acc7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#f3f395b7865646b87915df950a553d2d">LocationList</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#9f040193d573d26cf739005465f4acc7">Ogre::ResourceGroupManager::ResourceGroup::locationList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List of possible locations to search. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00243">243</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8e1f8b2b90535ba8e6a8d81a30888494"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseSensitive" ref="8e1f8b2b90535ba8e6a8d81a30888494" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#25b7fbc15fa4cb442ca9c399e62e6048">ResourceLocationIndex</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#8e1f8b2b90535ba8e6a8d81a30888494">Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseSensitive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Index of resource names to locations, built for speedy access (case sensitive archives). 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00245">245</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="40aa3f3b164cf9e1b3bf318dcf3c1283"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseInsensitive" ref="40aa3f3b164cf9e1b3bf318dcf3c1283" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#25b7fbc15fa4cb442ca9c399e62e6048">ResourceLocationIndex</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#40aa3f3b164cf9e1b3bf318dcf3c1283">Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseInsensitive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Index of resource names to locations, built for speedy access (case insensitive archives). 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00247">247</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="130233f52a76fc38ca6fadc4d3182a9c"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::resourceDeclarations" ref="130233f52a76fc38ca6fadc4d3182a9c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#e26eacec6d13149f46c47d88c7110625">ResourceDeclarationList</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#130233f52a76fc38ca6fadc4d3182a9c">Ogre::ResourceGroupManager::ResourceGroup::resourceDeclarations</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pre-declared resources, ready to be created. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00249">249</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c63251bf3f946d2b4dc42341b61d4d2a"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::loadResourceOrderMap" ref="c63251bf3f946d2b4dc42341b61d4d2a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#ef0b67d6bc8ae99608568ea5967cd8d2">LoadResourceOrderMap</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#c63251bf3f946d2b4dc42341b61d4d2a">Ogre::ResourceGroupManager::ResourceGroup::loadResourceOrderMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00254">254</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="63a048530dfded3f7e6189743643578a"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::worldGeometry" ref="63a048530dfded3f7e6189743643578a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#63a048530dfded3f7e6189743643578a">Ogre::ResourceGroupManager::ResourceGroup::worldGeometry</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Linked world geometry, as passed to setWorldGeometry. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00256">256</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5c0395505e94f137cf4d5bced4054de6"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::worldGeometrySceneManager" ref="5c0395505e94f137cf4d5bced4054de6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#5c0395505e94f137cf4d5bced4054de6">Ogre::ResourceGroupManager::ResourceGroup::worldGeometrySceneManager</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Scene manager to use with linked world geometry. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00258">258</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:34 2008
</p>
</body>
</html>
